/* ROOT(CINT) -*- C++ -*- link to some common Geant4 actions - LinkDef file.
   Jacek M. Holeczek, 03.2002
   For details about ROOT and CINT see http://root.cern.ch */

#ifdef __MAKECINT__

#pragma link off all typedefs;
#pragma link off all globals;
#pragma link off all functions;
#pragma link off all classes;

#pragma link C++ nestedclass;
#pragma link C++ nestedtypedef;

/* CLHEP/config/CLHEP.h */
#pragma link C++ typedef HepDouble;
#pragma link C++ typedef HepFloat;
#pragma link C++ typedef HepInt;
#pragma link C++ typedef HepBoolean;

/* G4Types.hh */
#pragma link C++ typedef G4double;
#pragma link C++ typedef G4float;
#pragma link C++ typedef G4int;
#pragma link C++ typedef G4bool;
#pragma link C++ typedef G4long;

/*
  G4ios.hh
  (G4cin and G4endl "linked" in G4.cxx)
*/
#pragma link C++ global G4cout;
#pragma link C++ global G4cerr;

/* G4String.hh */
#pragma link C++ class G4SubString-!;
#pragma link C++ class G4String-!;

/*
  Randomize.hh,
  CLHEP/Random/RanecuEngine.h,
  CLHEP/Random/RandomEngine.h,
  CLHEP/Random/RandGeneral.h
  (relies on "backwards compatibility" in G4.hxx)
*/
#pragma link C++ namespace CLHEP;
#pragma link C++ class HepRandom-!;
#pragma link C++ class HepRandomEngine-!;
#pragma link C++ class RanecuEngine-!;
#pragma link C++ class RandGeneral-!;

/* G4.hxx */
#pragma link C++ global gG4;
#pragma link C++ class G4-!;

#endif /* ifdef __MAKECINT__ */

/* End of file G4LinkDef.h by Jacek M. Holeczek */
